<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Configuring Brute Ratel C2 — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `init --license-path <val> --listener <val>` | Initialize BRC4 framework |
| `configure --badger-type <val> --sleep-mask <val>` | Configure badger payload |
| `deploy --target <val> --evasion <val>` | Deploy badger to target |
| `verify --component <val>` | Verify C2 component status |
| `report --format <val>` | Generate BRC4 report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--license-path` | string | Yes | License Path parameter |
| `--listener` | string | Yes | Listener parameter |
| `--badger-type` | string | Yes | Badger Type parameter |
| `--sleep-mask` | string | Yes | Sleep Mask parameter |
| `--target` | string | Yes | Target parameter |
| `--evasion` | string | Yes | Evasion parameter |
| `--component` | string | Yes | Component parameter |
| `--format` | string | Yes | Format parameter |
